=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: kf6-modemmanager-qt
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                modemmanager-dev (>= 1.0),
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/modemmanager-qt
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-modemmanager-qt
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-modemmanager-qt
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-modemmanager-qt
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-modemmanager-qt.git
 Rules-Requires-Root: no
 
 Package: libkf6modemmanagerqt-doc
@@ -36,7 +35,7 @@
 Architecture: any
 Depends: libkf6modemmanagerqt6 (= ${binary:Version}),
          modemmanager-dev (>= 1.0),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6modemmanagerqt-doc (= ${source:Version}),
 Description: Qt wrapper for ModemManager - devel files
