=== debian/changelog ===
kf6-modemmanager-qt (6.18.0+p24.04+vunstable+git20250908.1429-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 14:29:13 +0000
