## kf6-modemmanager-qt 6.19.0+p24.04+vunstable+git20251111.0333

=== debian/changelog ===
kf6-modemmanager-qt (6.19.0+p24.04+vunstable+git20251111.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:33:19 +0000
